abclinuxu.cz AbcLinuxu.cz itbiz.cz ITBiz.cz HDmag.cz HDmag.cz abcprace.cz AbcPráce.cz
AbcLinuxu hledá autory!
Inzerujte na AbcPráce.cz od 950 Kč
Rozšířené hledání
×
dnes 01:55 | Nová verze

Byla vydána verze 1.13 multiplatformního open source textového editoru Brackets (Wikipedie, GitHub). Přehled novinek v oficiálním oznámení a v poznámkách k vydání. Brackets je nově dostupný také jako balíček ve formátu Flatpak z oficiálního repozitáře Flathub.

Ladislav Hagara | Komentářů: 1
včera 18:44 | Komunita

Oficiální YouTube kanál Blenderu je již několik dní blokován. Důvody jsou zatím nejasné. Pravděpodobně chyba YouTube. Dění lze sledovat na Twitteru Tona Roosendaala.

Ladislav Hagara | Komentářů: 5
včera 17:55 | Zajímavý software

Na GitHubu byly pod open source licencí LLVM zveřejněny zdrojové kódy překladače programovacího jazyka C++ Zapcc vycházejícího z Clangu/LLVM. Překlad pomocí Zapccu je díky lepšímu kešování obvykle několikrát rychlejší než překlad pomocí Clangu. V březnu loňského roku byl vydán Zapcc ve verzi 1.0.

Ladislav Hagara | Komentářů: 0
včera 17:22 | Pozvánky

Červnový pražský sraz spolku OpenAlt se koná již tento čtvrtek – 21. 6. 2018 od 18:00 v Kavárně Ideál (Sázavská 30, Praha), kde máme rezervovaný salonek. Tentokrát na téma: F-Droid, aneb svobodný software do vašeho mobilu. Kromě toho budou k vidění i vývojové desky HiFive1 se svobodným/otevřeným čipem RISC-V.

xkucf03 | Komentářů: 0
15.6. 22:44 | Zajímavý článek

Na blogu projektu NeoPG (GitHub), kryptografického softwaru vycházejícího z GnuPG, byly zveřejněny 4 příspěvky detailně popisující aktuální bezpečnostní problémy v GnuPG a souvisejících softwarových produktech. V prvním příspěvku je ukázáno, že je možné vytvořit zprávu, o které budou Earlybird, Evolution, Mutt nebo Outlook tvrdit, že jí dešifrovali a přitom ale zpráva vůbec zašifrována nebyla. V druhém příspěvku je popsána

… více »
Ladislav Hagara | Komentářů: 7
15.6. 13:00 | Komunita

GamingOnLinux informuje, že počítačová hra Track Mania Nations Forever (Steam, Wikipedie) pro Windows je nově dostupná také jako snap. Stejně jako v případě winepaku a Flatpaku se k běhu hry používá překladová vrstva Wine.

Ladislav Hagara | Komentářů: 12
14.6. 15:12 | Komunita

Tradiční setkání příznivců operačního systému Linux pod názvem Linux párty Teplice se bude konat v pátek 15. 6. 2018 v Hospůdce u černé Kočky od 18:00 hodin. Setkají se zde pamětníci příkazové řádky, vítáni jsou však i začínající uživatelé.

František Bublík | Komentářů: 21
14.6. 14:00 | Bezpečnostní upozornění

Intel potvrdil (INTEL-SA-00145) další bezpečnostní chybu ve svých procesorech. Jedná se o chybu CVE-2018-3665 s názvem LazyFP.

Ladislav Hagara | Komentářů: 15
14.6. 11:00 | Nová verze

Spolek OpenAlt zve příznivce otevřených řešení a přístupu na 153. brněnský sraz, který proběhne v pátek 15. června od 18:00 v restauraci U OSLŮ na ulici Sokolská 361/10. Pro zájemce proběhne krátké promítání z výletu do Černobylu.

Ladislav Hagara | Komentářů: 0
13.6. 19:58 | Upozornění

Server lupa.cz rozebírá připravovanou reformu copyrightu v EU a dopad jejího článku 13, který dává internetovým platformám povinnost řešit autorské právo za vlastníky práv, což by v podstatě vedlo k automatizované cenzuře a konci internetu tak, jak ho známe dnes. Podobně v otevřeném dopise varují Vint Cerf, Tim Berners-Lee a jiní odborníci, Cory Doctorow upozorňuje na důsledky pro Wikipedii, nebo github na sdílení kódu.

marbu | Komentářů: 117
Jak čtete delší texty z webových stránek?
 (78%)
 (22%)
 (4%)
 (7%)
 (2%)
 (12%)
Celkem 207 hlasů
 Komentářů: 36, poslední včera 21:16
    Rozcestník

    Dotaz: apcupsd

    19.10.2004 14:52 milda
    apcupsd
    Přečteno: 588×
    Dobrý den, potřeboval bych poradit. Stáhnul jsem si zdrojáky apcupsd v. 3.10.7. Zkompiluju, nakonfiguruju a spustim. Objeví se hláška

    "Starting apcupsd power management Done".

    Asi tak po 5. sekundách se objeví další, tentokrát už chybová hláška.

    "apcupsd FATAL ERROR in smartsetup.c at line 204 PANIC! Cannot communicate with UPS via serial port. Please make sure the port specified on the DEVICE directive is correct. and that your cable specification on the UPSCABLE directive is correct."

    Jedná se o APC Back-UPS CS 500 připojenou přes USB kabel. V direktivě DEVICE mám DEVICE /dev/usb/hid/hiddev0 a v direktivě UPSCABLE mám USB. V UPSTYPE jsem měl už snad všechno (dumb/apcsmart/ups). Furt to nejede. V /proc/bus/usb/devices tu UPS vidím. Zařízení /dev/usb/hid/hiddev0 existuje, přístup k němu mají všichni. Ví někdo co s tím??? Dík Milda

    Odpovědi

    19.10.2004 15:02 jm
    Rozbalit Rozbalit vše Re: apcupsd
    No to asi neni nic platny, kdyz to chce komunikovat pres seriovy port...
    Cannot communicate with UPS via serial port.
    19.10.2004 15:08 milda
    Rozbalit Rozbalit vše Re: apcupsd
    Zůstává otázkou proč chce komunikovat přes sériový port, když chci přes USB.
    19.10.2004 19:28 Michal Kubeček
    Rozbalit Rozbalit vše Re: apcupsd
    Raději to nastavte podle dokumentace, tj.

    DEVICE /dev/usb/hiddev[0-15]

    Mohlo by se totiž stát, že hiddev0 obsadí někdo jiný (např. klávesnice). Taky zkontrolujte, zda je natažen modul 'hid' (možná že v řadě 2.4 se jmenoval jinak).
    19.10.2004 19:57 pantera | skóre: 17 | blog: Bl0g
    Rozbalit Rozbalit vše Re: apcupsd
    mrkni na http://www.apcupsd.com/3.10.x-manual/check_usb.html - treba to pomuze - sam mam Apcupsd pres serial port a v pohode - takze u USB netusim...
    20.10.2004 09:55 milda | skóre: 3
    Rozbalit Rozbalit vše Re: apcupsd
    Tak jsem to prošel a podle toho manuálu je vše OK. Ale furt to nejede. Už nevím co s tím.
    Zkusil jsem dát do konfiguráku DEVICE /dev/usb/hiddev[0-15], hodí to chybovou hlášku. Podle mě je to nepřípustný zápis, ale je to jenom můj (možná špatný :-) ) názor.
    Zkuste prosím poradit.
    Dík milda
    20.10.2004 10:39 tezkatlipoka | skóre: 35
    Rozbalit Rozbalit vše Re: apcupsd
    nejem ze musis nastavit do konfiguraku usb, ale i apcupsd se musi prelozit (./configure) s nekolika parametry pro podporu usb, ja mel taky usb back up, a nekde jsem zde nasel i presnej popis parametru pro usb.
    Vaše řeč budiž ano, ano, ne, ne. Co je nad to, je od ďábla.
    20.10.2004 10:41 tezkatlipoka | skóre: 35
    Rozbalit Rozbalit vše Re: apcupsd
    napr. zde http://www.abclinuxu.cz/hardware/show/1179
    Vaše řeč budiž ano, ano, ne, ne. Co je nad to, je od ďábla.
    20.10.2004 10:43 milda | skóre: 3
    Rozbalit Rozbalit vše Re: apcupsd
    Nemužu to najít. :-(
    Stanislav Brabec avatar 20.10.2004 11:49 Stanislav Brabec | skóre: 45 | Praha
    Rozbalit Rozbalit vše Re: apcupsd
    Podívejte se do systému. Ne všude se HID zařízení jmenují /dev/usb/hiddev[0-15].
    20.10.2004 11:46 milda | skóre: 3
    Rozbalit Rozbalit vše Re: apcupsd
    snažím se to přeložit s --enable-usb a u make to spadne.

    "undefined reference to `attach_driver`. collect2: ld returned 1 exit status. gmake[1]: ***[apcupsd] Error 1"

    Chybí mi nějaká knihovna nebo co? Slack 10.
    Dík milda
    20.10.2004 11:48 milda | skóre: 3
    Rozbalit Rozbalit vše Re: apcupsd
    snažím se to přeložit s --enable-usb a u make to spadne.

    "undefined reference to `attach_driver`. collect2: ld returned 1 exit status. gmake[1]: ***[apcupsd] Error 1"

    Chybí mi nějaká knihovna nebo co? Slack 10.
    Dík milda
    Stanislav Brabec avatar 20.10.2004 11:55 Stanislav Brabec | skóre: 45 | Praha
    Rozbalit Rozbalit vše Re: apcupsd
    Asi ne: Google

    Zkuste starší verzi, podpora pro vaši UPS už je tam dlouho.

    Také je chyba v include některých 2.6 jader, která vyhazuje podobnou hlášku (nepamatuji se přesně, oč šlo, ale bylo to něco jako USB_MAX_HID). To se řešilo přidáním příslušného define do CFLAGS.
    9.12.2004 13:02 zoliq | skóre: 8 | Puchov
    Rozbalit Rozbalit vše Re: apcupsd
    dfm, ze si nezabudol na make clean :)
    9.12.2004 12:49 Alwin
    Rozbalit Rozbalit vše Re: apcupsd
    Nevím jestli to pomůže, ale rozcházel jsem APC Back-UPS CS 650 na mandraku 9.0, apcupsd povýšil na 3.10.15 a taky to hledalo jen seriovej kabel. Na nějakých stránkách jsem se dočet, že ups přes usb je až od kernelu 2.4.22 Ted jedu na mdk10.0 a kernelu 2.6.3-7mdk a je to O.K. Myslím sem to našel na www.apcupsd.com

    Založit nové vláknoNahoru

    Tiskni Sdílej: Linkuj Jaggni to Vybrali.sme.sk Google Del.icio.us Facebook

    ISSN 1214-1267   www.czech-server.cz
    © 1999-2015 Nitemedia s. r. o. Všechna práva vyhrazena.